//-----------------------------------------------//
//                                               //
//  Arch Macros - Example scene                  //
//                                               //
//  Author: Bonsai (mail: bonsai@b0n541.net)     //
//                                               //
//  Copyright: GNU General Public License, 2001  //
//                                               //
//-----------------------------------------------//

#include "arch.inc"

background {color rgb <0, 0.25, 0>}                        
camera {location <100, 62, -250> look_at <100, 50, 0>}
light_source {<200, 0, -400> color rgb <1, 1, 1>}        

// Textures for the bricks and the mortar
#declare BrickTexture = texture {pigment {color rgb <1, 0, 0>}}
#declare BrickTexture2 = texture {pigment {color rgb <0.75, 0.75, 0.5>}}
#declare MortarTexture = texture {pigment {color rgbt <0.8, 0.8, 0.8, 0>}}

//---------------------------------------------------------------------------//
//                                                                           //
//  Example 1:  Arch with nearly no height                                   //
//          2:  Segmented arch (height is smaler than half of span)          //
//          3:  Rounded arch (height equals half of span)                    //
//          4:  Orientalic style arch (height is greater than half of span)  //
//          5:  Whole circle                                                 //
//          6:  Rounded arch with front pattern 2                            //
//          7:  Rounded arch with front pattern 3                            //
//          8:  Rounded arch with front pattern 4                            //
//          9:  Rounded arch with wedge shaped stones                        //
//                                                                           //
//---------------------------------------------------------------------------//

#declare Example = 3;

#switch (Example)
#case (1)
        object{Arch (200, 1, 25, 7.1, 0.5, 1, 0.1, BrickTexture, MortarTexture)}
#break
#case (2)
        object{Arch (200, 35, 59, 7.1, 0.5, 1, 0.1, BrickTexture, MortarTexture)}
#break
#case (3)
        object{Arch (200, 100, 124, 7.1, 0.5, 1, 0.1, BrickTexture, MortarTexture)}
#break
#case (4)
        object{Arch (100, 150, 174, 7.1, 0.5, 1, 0.1, BrickTexture, MortarTexture) translate <50, -25, 0>}
#break
#case (5)
        object{Arch (0, 150, 174, 7.1, 0.5, 1, 0.1, BrickTexture, MortarTexture) translate <100, -30, 0>}
#break
#case (6)
        object{Arch (200, 100, 124, 7.1, 0.5, 2, 0.1, BrickTexture, MortarTexture)}
#break
#case (7)
        object{Arch (200, 100, 136.5, 7.1, 0.5, 3, 0.1, BrickTexture, MortarTexture)}
#break
#case (8)
        object{Arch (200, 100, 136.5, 7.1, 0.5, 4, 0.1, BrickTexture, MortarTexture)}
#break
#case (9)
        object{WedgeBrickArch (200, 100, 140, 11, 2, 40, BrickTexture2)}
#break
#end        